org.apache.jmeter.gui.tree

## Class JMeterTreeNode

- java.lang.Object
- - javax.swing.tree.DefaultMutableTreeNode
  - - org.apache.jmeter.gui.tree.JMeterTreeNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode, NamedTreeNode

      public class JMeterTreeNode
      extends javax.swing.tree.DefaultMutableTreeNode
      implements NamedTreeNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.tree.DefaultMutableTreeNode

      `allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterTreeNode()`
    `JMeterTreeNode(TestElement userObj, JMeterTreeModel treeModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.JPopupMenu` | `createPopupMenu()`
    `java.lang.String` | `getDocAnchor()`
    `javax.swing.ImageIcon` | `getIcon()`
    `javax.swing.ImageIcon` | `getIcon(boolean enabled)`
    `java.util.Collection<java.lang.String>` | `getMenuCategories()`
    `java.lang.String` | `getName()`
    `java.util.List<JMeterTreeNode>` | `getPathToThreadGroup()` Return nodes to level 2
    `java.lang.String` | `getStaticLabel()`
    `TestElement` | `getTestElement()`
    `boolean` | `isChildrenMarkedBySearch()` Node has children marked by search
    `boolean` | `isEnabled()`
    `boolean` | `isMarkedBySearch()` Node is markedBySearch by a search
    `void` | `nameChanged()`
    `void` | `setChildrenNodesHaveMatched(boolean tagged)` One of the children of this node have matched a search
    `void` | `setEnabled(boolean enabled)`
    `void` | `setMarkedBySearch(boolean tagged)` Tag Node as result of a search
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

      `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JMeterTreeNode

          public JMeterTreeNode()

    - #### JMeterTreeNode

          public JMeterTreeNode(TestElement userObj,
                                JMeterTreeModel treeModel)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getPathToThreadGroup

          public java.util.List<JMeterTreeNode> getPathToThreadGroup()

      Return nodes to level 2
      Returns:
        `List` of `JMeterTreeNode`s

    - #### setChildrenNodesHaveMatched

          public void setChildrenNodesHaveMatched(boolean tagged)

      One of the children of this node have matched a search
      Parameters:
        `tagged` - true if we must tag

    - #### setMarkedBySearch

          public void setMarkedBySearch(boolean tagged)

      Tag Node as result of a search
      Parameters:
        `tagged` - The flag to be used for tagging

    - #### isMarkedBySearch

          public boolean isMarkedBySearch()

      Node is markedBySearch by a search
      Returns:
        true if marked by search

    - #### isChildrenMarkedBySearch

          public boolean isChildrenMarkedBySearch()

      Node has children marked by search
      Returns:
        boolean are children marked by search

    - #### getIcon

          public javax.swing.ImageIcon getIcon()

    - #### getIcon

          public javax.swing.ImageIcon getIcon(boolean enabled)

    - #### getMenuCategories

          public java.util.Collection<java.lang.String> getMenuCategories()

    - #### createPopupMenu

          public javax.swing.JPopupMenu createPopupMenu()

    - #### getTestElement

          public TestElement getTestElement()

    - #### getStaticLabel

          public java.lang.String getStaticLabel()

    - #### getDocAnchor

          public java.lang.String getDocAnchor()

    - #### setName

          public void setName(java.lang.String name)

      Specified by:
        `setName` in interface `NamedTreeNode`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedTreeNode`

    - #### nameChanged

          public void nameChanged()

      Specified by:
        `nameChanged` in interface `NamedTreeNode`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.